{
  clan.inventory = {
    tags = {
      kde-desktop = [
        "rana"
        "petra"
      ];
      personal-computer = [
        "rana"
        "petra"
      ];
    };

    instances = {
      emmie-home = {
        module = {
          name = "emmie-home";
          input = "self";
        };
        roles.default.machines."rana" = { };
      };
      chocolate-home = {
        module = {
          name = "home-user";
          input = "self";
        };
        roles.default.settings = {
          username = "chocolate";
          kbLayout = "us,th";
          kbOptions = "grp:win_space_toggle,grp:alt_shift_toggle";
        };
        roles.default.machines."petra" = { };
      };
      personal-computer = {
        module = {
          name = "personal-computer";
          input = "self";
        };
        roles.default.tags."personal-computer" = { };
      };
      kde = {
        module = {
          name = "kde";
          input = "clan-core";
        };
        roles.default.tags."kde-desktop" = { };
      };
    };
  };
}
